apiVersion: apps/v1beta2
kind: ReplicaSet
metadata:
  name: rs-job
spec:
  replicas: 1
  selector:
    matchLabels:
      component: redis
    matchExpressions:
    - {key: tier, operator: In, values: [cache]}
    - {key: environment, operator: NotIn, values: [dev]}
  template:
    metadata:
      labels:
        tier: cache
        component: redis
        environment: haha
    spec:
      containers:
      - name: rs-job
        image: luksa/batch-job
